Bug 34881 - [GStreamer] Notify about size changes
Summary: [GStreamer] Notify about size changes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 30004
  Show dependency treegraph
 
Reported: 2010-02-12 00:43 PST by Sebastian Dröge (slomo)
Modified: 2010-02-16 19:38 PST (History)
2 users (show)

See Also:


Attachments
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch (4.25 KB, patch)
2010-02-12 00:49 PST, Sebastian Dröge (slomo)
no flags Details | Formatted Diff | Diff
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch (7.75 KB, patch)
2010-02-12 06:16 PST, Sebastian Dröge (slomo)
gns: review-
Details | Formatted Diff | Diff
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch (8.30 KB, patch)
2010-02-16 13:30 PST, Sebastian Dröge (slomo)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Dröge (slomo) 2010-02-12 00:43:33 PST
Hi,
the attached patch allows webkitwebsrc to notify about size changes until https://bugzilla.gnome.org/show_bug.cgi?id=609423 is fixed. Once that bug is fixed, the added code automatically isn't used anymore.

This is required for bug #30004.
Comment 1 Sebastian Dröge (slomo) 2010-02-12 00:49:17 PST
Created attachment 48629 [details]
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch
Comment 2 Sebastian Dröge (slomo) 2010-02-12 06:16:49 PST
Created attachment 48640 [details]
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch

Some minor updates, see the ChangeLog entry.
Comment 3 Philippe Normand 2010-02-12 10:26:08 PST
I successfully tested this patch with the one in Bug 30004 :)
Comment 4 Gustavo Noronha (kov) 2010-02-15 09:50:25 PST
Comment on attachment 48640 [details]
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch

 2  *  Copyright (C) 2009,2010 Sebastian Dröge <sebastian.droege@collabora.co.uk>

Add a space here (between the , and 2010 =))

 249     // than 20% of data. This allows us to need some time
 250     // to unpause the SoupMessage and not starve the pipeline
 251     // until it is finally unpaused.

I don't get this comment. What does 'allows us to need some time' mean? I assume you want to say that you are raising the ammount of data that is buffered before the message is paused, so that you lower the risk of delays in unpausing starving the pipeline, right?

r- for the confusing comment, I believe the rest of the patch looks good, but we need to get this comment straight.
Comment 5 Sebastian Dröge (slomo) 2010-02-16 13:30:11 PST
Created attachment 48821 [details]
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch
Comment 6 WebKit Commit Bot 2010-02-16 19:38:04 PST
Comment on attachment 48821 [details]
0001-Notify-about-size-changes-in-the-WebKit-GStreamer-so.patch

Clearing flags on attachment: 48821

Committed r54864: <http://trac.webkit.org/changeset/54864>
Comment 7 WebKit Commit Bot 2010-02-16 19:38:09 PST
All reviewed patches have been landed.  Closing bug.